## smuxi 1.0~rc4

=== debian/changelog ===
smuxi (1.0~rc4-2) unstable; urgency=medium

  * [27ef64c] debian/patches: refresh debian_default_settings.patch
    and add fix_man.patch
  * [1020607] add desktop keywords patch
  * [8b6c256] wrap-and-short -a
  * [5bae4e3] use Breaks instead of Conflicts for previous versions
  * [62f2fe6] append missing description to patches

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Sun, 24 May 2015 22:33:38 +0200

smuxi (1.0~rc4-1) experimental; urgency=medium

  * [b4c6c97] debian/gbp.conf: add pristine-tar option
  * [64c303e] Imported Upstream version 1.0~rc4

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Fri, 22 May 2015 00:08:45 +0200

smuxi (1.0~rc3-0.1) experimental; urgency=medium

  * Non-maintainer upload with maintainer blessing

  [ Victor Seva ]
  * [2e57ec7] remove libtool-bin from Build-Dedepends too
  * [2f206da] update standards. No changes needed
  * [efecd58] indent using wrap-and-sort helper
  * [a7206fd] fix vcs-field-not-canonical
  * [3f7937b] add fix_man_pages.patch

  [ Felipe Sateler ]
  * [fbcc7f2] Imported Upstream version 1.0~rc3
  * [db85327] Allow watch file to pick up release candidates
  * [db296d5] Modernize gbp config
  * [0779487] Update upstream homepage
  * [1c15f1d] Refresh patches. Drop fix_man_pages.patch applied upstream.
  * [b29fe09] Install new files

 -- Felipe Sateler <fsateler@debian.org>  Sat, 09 May 2015 10:43:26 -0300

=== debian/control ===
Source: smuxi
Section: gnome
Priority: optional
Maintainer: Mirco Bauer <meebey@debian.org>
Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>
Build-Depends: debhelper (>= 7.0.50),
               dh-autoreconf
Build-Depends-Indep: autoconf,
                     automake,
                     autopoint,
                     autotools-dev,
                     cli-common-dev (>= 0.5.7),
                     gettext,
                     gtk-sharp2-gapi,
                     intltool,
                     libart2.0-cil-dev (>= 2.8),
                     libdbus-glib2.0-cil-dev | libdbus-glib1.0-cil-dev | libndesk-dbus-glib1.0-cil-dev,
                     libdbus2.0-cil-dev | libdbus1.0-cil-dev | libndesk-dbus1.0-cil-dev,
                     libgio2.0-cil-dev | libglib2.0-dev,
                     libglade2.0-cil-dev (>= 2.8),
                     libglib2.0-cil-dev (>= 2.8),
                     libgnome-vfs2.0-cil-dev (>= 2.8),
                     libgnome2.0-cil-dev (>= 2.24),
                     libgtk2.0-cil-dev (>= 2.8),
                     libgtkspell-dev (>= 2.0.9),
                     libindicate0.1-cil-dev (<< 12.10~) | libmessagingmenu-cil-dev | libindicate-dev,
                     liblog4net-cil-dev,
                     libnini-cil-dev (>= 1.1),
                     libnotify-cil-dev,
                     libstfl-dev (>= 0.21),
                     lsb-release,
                     mono-devel (>= 2.6),
                     mono-xbuild (>= 2.6),
                     pkg-config
Standards-Version: 3.9.6
Homepage: https://smuxi.im/
Vcs-Git: git://anonscm.debian.org/pkg-cli-apps/packages/smuxi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-cli-apps/packages/smuxi.git

Package: smuxi
Architecture: all
Depends: smuxi-frontend-gnome (= ${source:Version}),
         ${misc:Depends}
Description: graphical IRC client
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This is a metapackage which depends on the default flavor of Smuxi, which is
 the GNOME frontend with Twitter and enhanced IRC support.

Package: smuxi-engine
Architecture: all
Replaces: smuxi (<< 0.5.25),
          smuxi-engine-irc (<< 0.8.10.2),
          smuxi-engine-twitter (<< 0.8.10.2),
          smuxi-engine-xmpp (<< 0.8.10.2),
          smuxi-frontend (<< 0.8.10.2),
          smuxi-server (<< 0.8.10.2)
Breaks: smuxi-engine-irc (<< 0.8.10.2),
        smuxi-engine-twitter (<< 0.8.10.2),
        smuxi-engine-xmpp (<< 0.8.10.2),
        smuxi-frontend (<< 0.8.10.2),
        smuxi-server (<< 0.8.10.2)
Suggests: oidentd | ident-server
Depends: ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Engine libraries for Smuxi (IRC, Twitter, XMPP, Campfire, JabbR)
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains all Smuxi engines and the standalone server.
 .
 The standalone server of Smuxi named smuxi-server doesn't need any GUI. The
 Smuxi frontends can connect to a running server via the network.
 .
 The following Smuxi engines are included in this package:
  * IRC engine
  * Twitter engine
    - receive and post tweets to the Twitter microblogging service.
    - friends timeline, replies view, and direct messages.
  * XMPP engine
    - receive and send messages on XMPP, Jabber, GTalk and the Facebook chat.
  * Campfire engine
  * JabbR engine

Package: smuxi-frontend-gnome
Architecture: all
Replaces: smuxi (<< 0.5.25),
          smuxi-frontend-gnome-irc (<< 0.8.10.2)
Breaks: smuxi-frontend-gnome-irc (<< 0.8.10.2)
Recommends: notification-daemon,
            ssh-askpass-gnome | ssh-askpass
Depends: librsvg2-common,
         smuxi-engine (= ${source:Version}),
         ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME frontend for Smuxi
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains the GNOME frontend of Smuxi, it can run either standalone
 using a local engine or connect to a running remote engine (server).

Package: smuxi-frontend-stfl
Architecture: all
Depends: smuxi-engine (= ${source:Version}),
         ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: STFL frontend for Smuxi (experimental)
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains the experimental STFL frontend of Smuxi, it can run
 either standalone using a local engine or connect to a running
 remote engine (server).
 .
 STFL is a library that uses ncurses to draw text based  user interface using
 a markup language (like Glade for GTK+). This frontend is in early alpha state
 and lacks a lot of interface features and likes to crash.

## smuxi 1.0~rc5

=== debian/changelog ===
smuxi (1.0~rc5-1) unstable; urgency=medium

  * [e3e0b42] Imported Upstream version 1.0~rc5
  * [9c4e0ba] require mono-runtime-boehm since Boehm GC is used by default
  * [fffb12f] refresh and remove patches applied upstream

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 09 Jul 2015 20:43:47 +0200

## smuxi 1.0

=== debian/changelog ===
smuxi (1.0-2) unstable; urgency=medium

  * [6dbc7d2] do not expose the user's realname automatically (Closes: #779803)

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Wed, 26 Aug 2015 19:56:11 +0200

smuxi (1.0-1) unstable; urgency=medium

  * [da9e908] Imported Upstream version 1.0

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 20 Jul 2015 11:23:41 +0200

## smuxi 1.0.3

=== debian/changelog ===
smuxi (1.0.3-1) unstable; urgency=medium

  * [5dee370] Imported Upstream version 1.0.1
  * [41d259b] remove applied upstream patch
  * [7d13963] Imported Upstream version 1.0.3

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 01 Feb 2016 11:14:25 +0100

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
                      lsb-release,
                      mono-devel (>= 2.6),
                      mono-xbuild (>= 2.6),
+                     mono-runtime-boehm,
                      pkg-config
 Standards-Version: 3.9.6
 Homepage: https://smuxi.im/

=== debian/watch ===
version=3
http://www.smuxi.org/jaws/data/files/smuxi-([\d.~]+(?:~rc[\d])?)\.tar\.gz

## smuxi 1.0.6

=== debian/changelog ===
smuxi (1.0.6-1) unstable; urgency=medium

  * [3955960] Imported Upstream version 1.0.5
  * [237a480] New upstream version 1.0.6
  * [1e5a58b] fix vcs-field-uses-insecure-uri vcs-git
  * [74bc508] fix out-of-date-standards-version, no changes needed
  * [7357769] fix command-in-menu-file-and-desktop-file smuxi-frontend-gnome

 -- Victor Seva <vseva@debian.org>  Mon, 19 Dec 2016 11:08:10 +0100

smuxi (1.0.3-2) unstable; urgency=medium

  * [7e98313] Build-Depends-Indep: add tzdata (Closes: #839421)

 -- Victor Seva <vseva@debian.org>  Mon, 03 Oct 2016 13:38:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,46 +2,51 @@
 Section: gnome
 Priority: optional
 Maintainer: Mirco Bauer <meebey@debian.org>
-Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>
-Build-Depends: debhelper (>= 7.0.50),
-               dh-autoreconf
-Build-Depends-Indep: autoconf,
-                     automake,
-                     autopoint,
-                     autotools-dev,
-                     cli-common-dev (>= 0.5.7),
-                     gettext,
-                     gtk-sharp2-gapi,
-                     intltool,
-                     libart2.0-cil-dev (>= 2.8),
-                     libdbus-glib2.0-cil-dev | libdbus-glib1.0-cil-dev | libndesk-dbus-glib1.0-cil-dev,
-                     libdbus2.0-cil-dev | libdbus1.0-cil-dev | libndesk-dbus1.0-cil-dev,
-                     libgio2.0-cil-dev | libglib2.0-dev,
-                     libglade2.0-cil-dev (>= 2.8),
-                     libglib2.0-cil-dev (>= 2.8),
-                     libgnome-vfs2.0-cil-dev (>= 2.8),
-                     libgnome2.0-cil-dev (>= 2.24),
-                     libgtk2.0-cil-dev (>= 2.8),
-                     libgtkspell-dev (>= 2.0.9),
-                     libindicate0.1-cil-dev (<< 12.10~) | libmessagingmenu-cil-dev | libindicate-dev,
-                     liblog4net-cil-dev,
-                     libnini-cil-dev (>= 1.1),
-                     libnotify-cil-dev,
-                     libstfl-dev (>= 0.21),
-                     lsb-release,
-                     mono-devel (>= 2.6),
-                     mono-xbuild (>= 2.6),
-                     mono-runtime-boehm,
-                     pkg-config
-Standards-Version: 3.9.6
+Uploaders:
+ Victor Seva <vseva@debian.org>,
+Build-Depends:
+ debhelper (>= 7.0.50),
+ dh-autoreconf,
+Build-Depends-Indep:
+ autoconf,
+ automake,
+ autopoint,
+ autotools-dev,
+ cli-common-dev (>= 0.5.7),
+ gettext,
+ gtk-sharp2-gapi,
+ intltool,
+ libart2.0-cil-dev (>= 2.8),
+ libdbus-glib2.0-cil-dev | libdbus-glib1.0-cil-dev | libndesk-dbus-glib1.0-cil-dev,
+ libdbus2.0-cil-dev | libdbus1.0-cil-dev | libndesk-dbus1.0-cil-dev,
+ libgio2.0-cil-dev | libglib2.0-dev,
+ libglade2.0-cil-dev (>= 2.8),
+ libglib2.0-cil-dev (>= 2.8),
+ libgnome-vfs2.0-cil-dev (>= 2.8),
+ libgnome2.0-cil-dev (>= 2.24),
+ libgtk2.0-cil-dev (>= 2.8),
+ libgtkspell-dev (>= 2.0.9),
+ libindicate0.1-cil-dev (<< 12.10~) | libmessagingmenu-cil-dev | libindicate-dev,
+ liblog4net-cil-dev,
+ libnini-cil-dev (>= 1.1),
+ libnotify-cil-dev,
+ libstfl-dev (>= 0.21),
+ lsb-release,
+ mono-devel (>= 2.6),
+ mono-runtime-boehm,
+ mono-xbuild (>= 2.6),
+ pkg-config,
+ tzdata,
+Standards-Version: 3.9.8
 Homepage: https://smuxi.im/
-Vcs-Git: git://anonscm.debian.org/pkg-cli-apps/packages/smuxi.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-cli-apps/packages/smuxi.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-cli-apps/packages/smuxi.git
 
 Package: smuxi
 Architecture: all
-Depends: smuxi-frontend-gnome (= ${source:Version}),
-         ${misc:Depends}
+Depends:
+ smuxi-frontend-gnome (= ${source:Version}),
+ ${misc:Depends},
 Description: graphical IRC client
  Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
  client for sophisticated users, targeting the GNOME desktop.
@@ -61,21 +66,25 @@
 
 Package: smuxi-engine
 Architecture: all
-Replaces: smuxi (<< 0.5.25),
-          smuxi-engine-irc (<< 0.8.10.2),
-          smuxi-engine-twitter (<< 0.8.10.2),
-          smuxi-engine-xmpp (<< 0.8.10.2),
-          smuxi-frontend (<< 0.8.10.2),
-          smuxi-server (<< 0.8.10.2)
-Breaks: smuxi-engine-irc (<< 0.8.10.2),
-        smuxi-engine-twitter (<< 0.8.10.2),
-        smuxi-engine-xmpp (<< 0.8.10.2),
-        smuxi-frontend (<< 0.8.10.2),
-        smuxi-server (<< 0.8.10.2)
-Suggests: oidentd | ident-server
-Depends: ${cli:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Replaces:
+ smuxi (<< 0.5.25),
+ smuxi-engine-irc (<< 0.8.10.2),
+ smuxi-engine-twitter (<< 0.8.10.2),
+ smuxi-engine-xmpp (<< 0.8.10.2),
+ smuxi-frontend (<< 0.8.10.2),
+ smuxi-server (<< 0.8.10.2),
+Breaks:
+ smuxi-engine-irc (<< 0.8.10.2),
+ smuxi-engine-twitter (<< 0.8.10.2),
+ smuxi-engine-xmpp (<< 0.8.10.2),
+ smuxi-frontend (<< 0.8.10.2),
+ smuxi-server (<< 0.8.10.2),
+Suggests:
+ oidentd | ident-server,
+Depends:
+ ${cli:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Engine libraries for Smuxi (IRC, Twitter, XMPP, Campfire, JabbR)
  Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
  client for sophisticated users, targeting the GNOME desktop.
@@ -107,16 +116,20 @@
 
 Package: smuxi-frontend-gnome
 Architecture: all
-Replaces: smuxi (<< 0.5.25),
-          smuxi-frontend-gnome-irc (<< 0.8.10.2)
-Breaks: smuxi-frontend-gnome-irc (<< 0.8.10.2)
-Recommends: notification-daemon,
-            ssh-askpass-gnome | ssh-askpass
-Depends: librsvg2-common,
-         smuxi-engine (= ${source:Version}),
-         ${cli:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Replaces:
+ smuxi (<< 0.5.25),
+ smuxi-frontend-gnome-irc (<< 0.8.10.2),
+Breaks:
+ smuxi-frontend-gnome-irc (<< 0.8.10.2),
+Recommends:
+ notification-daemon,
+ ssh-askpass-gnome | ssh-askpass,
+Depends:
+ librsvg2-common,
+ smuxi-engine (= ${source:Version}),
+ ${cli:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: GNOME frontend for Smuxi
  Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
  client for sophisticated users, targeting the GNOME desktop.
@@ -136,10 +149,11 @@
 
 Package: smuxi-frontend-stfl
 Architecture: all
-Depends: smuxi-engine (= ${source:Version}),
-         ${cli:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ smuxi-engine (= ${source:Version}),
+ ${cli:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: STFL frontend for Smuxi (experimental)
  Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
  client for sophisticated users, targeting the GNOME desktop.

## smuxi 1.0.7

=== debian/changelog ===
smuxi (1.0.7-2) unstable; urgency=medium

  * remove old libgnome build dependencies (Closes: #888629)
  * fix debian-watch-uses-insecure-uri lintian warning
  * update debian/copyright
  * fix autotools-pkg-config-macro-not-cross-compilation-safe

 -- Victor Seva <vseva@debian.org>  Tue, 06 Feb 2018 13:25:41 +0100

smuxi (1.0.7-1) unstable; urgency=medium

  * [965361e] New upstream version 1.0.7

 -- Victor Seva <vseva@debian.org>  Mon, 19 Jun 2017 08:50:34 +0200

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,11 @@
  gettext,
  gtk-sharp2-gapi,
  intltool,
- libart2.0-cil-dev (>= 2.8),
  libdbus-glib2.0-cil-dev | libdbus-glib1.0-cil-dev | libndesk-dbus-glib1.0-cil-dev,
  libdbus2.0-cil-dev | libdbus1.0-cil-dev | libndesk-dbus1.0-cil-dev,
  libgio2.0-cil-dev | libglib2.0-dev,
  libglade2.0-cil-dev (>= 2.8),
  libglib2.0-cil-dev (>= 2.8),
- libgnome-vfs2.0-cil-dev (>= 2.8),
- libgnome2.0-cil-dev (>= 2.24),
  libgtk2.0-cil-dev (>= 2.8),
  libgtkspell-dev (>= 2.0.9),
  libindicate0.1-cil-dev (<< 12.10~) | libmessagingmenu-cil-dev | libindicate-dev,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

LSB_VENDOR = $(shell lsb_release -is)
LSB_CODENAME = $(shell lsb_release -cs)
DEB_VERSION = $(shell dpkg-parsechangelog -ldebian/changelog | grep ^Vers | cut -d\  -f2)

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-vendor-package-version="Debian $(DEB_VERSION)" \
		--enable-engine-campfire \
		--enable-engine-irc \
		--enable-engine-jabbr \
		--enable-engine-xmpp \
		--enable-frontend-gnome \
		--enable-frontend-stfl \
		--with-notify \
		--with-gtkspell \
		--with-db4o=included \
		GMCS=/usr/bin/mono-csc MCS=/usr/bin/mono-csc

# disable "make check"
override_dh_auto_test:

# disable stripping debugging symbols
override_dh_clistrip:

# disable generating clilibs
override_dh_makeclilibs:

override_dh_clideps:
	dh_clideps \
		--exclude-moduleref=i:secur32 \
		--exclude-moduleref=i:secur32.dll \
		--exclude-moduleref=libigemacintegration.dylib \
		--exclude-moduleref=/System/Library/Frameworks/Carbon.framework/Versions/Current/Carbon \
		--exclude-moduleref=/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation \
		--exclude-moduleref=/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

override_dh_install:
	dh_install
	# optional included libs
	-dh_install -p smuxi-frontend-gnome "usr/lib/smuxi/messagingmenu-sharp.dll*"
	-dh_install -p smuxi-frontend-gnome "usr/lib/smuxi/gio-sharp.dll*"
	# optional system libs
	-install /usr/lib/gio-sharp/gio-sharp.dll* debian/smuxi-frontend-gnome/usr/lib/smuxi/

override_dh_autoreconf:
	ln -sf debian/autogen.sh
	NOCONFIGURE=1 NOGIT=1 dh_autoreconf ./autogen.sh

%:
	dh $@ --with autoreconf,cli

=== debian/watch ===
version=3
https://www.smuxi.org/jaws/data/files/smuxi-([\d.~]+(?:~rc[\d])?)\.tar\.gz

## smuxi 1.1

=== lib/SmartIrc4net/examples/benchmark/Makefile ===

CSC=mcs
SMARTIRC_DLL=Meebey.SmartIrc4net.dll
LOG4NET_DLL=log4net.dll
TARGET=benchmark.exe

all: release

debug: TARGET_PATH=../../bin/debug
debug: *.cs
	mkdir -p $(TARGET_PATH)
	cp ../../bin/$(LOG4NET_DLL) $(TARGET_PATH)
	$(CSC) /debug /r:$(TARGET_PATH)/$(SMARTIRC_DLL) /out:$(TARGET_PATH)/$(TARGET) $^

release: TARGET_PATH=../../bin/release
release: *.cs
	mkdir -p $(TARGET_PATH)
	$(CSC) /r:$(TARGET_PATH)/$(SMARTIRC_DLL) /out:$(TARGET_PATH)/$(TARGET) $^

debug-full:
	cd ../../src; make debug
	$(MAKE) debug

release-full:
	cd ../../src; make release
	$(MAKE) release
	
clean:
	-rm -f ../../bin/debug/$(TARGET)
	-rm -f ../../bin/release/$(TARGET)

.PHONY: all debug debug-full release release-full clean

=== lib/SmartIrc4net/examples/stresstest/Makefile ===

CSC=mcs
SMARTIRC_DLL=Meebey.SmartIrc4net.dll
LOG4NET_DLL=log4net.dll
TARGET=stresstest.exe

all: release

debug: TARGET_PATH=../../bin/debug
debug: *.cs
	mkdir -p $(TARGET_PATH)
	cp ../../bin/$(LOG4NET_DLL) $(TARGET_PATH)
	$(CSC) /debug /r:$(TARGET_PATH)/$(SMARTIRC_DLL) /out:$(TARGET_PATH)/$(TARGET) $^

release: TARGET_PATH=../../bin/release
release: *.cs
	mkdir -p $(TARGET_PATH)
	$(CSC) /r:$(TARGET_PATH)/$(SMARTIRC_DLL) /out:$(TARGET_PATH)/$(TARGET) $^

debug-full:
	cd ../../src; make debug
	$(MAKE) debug

release-full: release
	cd ../../src; make release
	$(MAKE) release

clean:
	-rm -f ../../bin/debug/$(TARGET)
	-rm -f ../../bin/release/$(TARGET)

.PHONY: all debug debug-full release release-full clean

=== lib/SmartIrc4net/examples/test/Makefile ===

CSC=mcs
SMARTIRC_DLL=Meebey.SmartIrc4net.dll
LOG4NET_DLL=log4net.dll
TARGET=test.exe

all: release

debug: TARGET_PATH=../../bin/debug
debug: *.cs
	mkdir -p $(TARGET_PATH)
	cp ../../bin/$(LOG4NET_DLL) $(TARGET_PATH)
	$(CSC) /debug /r:$(TARGET_PATH)/$(SMARTIRC_DLL) /out:$(TARGET_PATH)/$(TARGET) $^

release: TARGET_PATH=../../bin/release
release: *.cs
	mkdir -p $(TARGET_PATH)
	$(CSC) /r:$(TARGET_PATH)/$(SMARTIRC_DLL) /out:$(TARGET_PATH)/$(TARGET) $^
	
debug-full:
	cd ../../src; make debug
	$(MAKE) debug

release-full: release
	cd ../../src; make release
	$(MAKE) release

clean:
	-rm -f ../../bin/debug/$(TARGET)
	-rm -f ../../bin/release/$(TARGET)

.PHONY: all debug debug-full release release-full clean

=== debian/changelog ===
smuxi (1.1-4) unstable; urgency=medium

  * QA upload.
  * Source-only upload.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Dec 2023 08:54:42 +0100

smuxi (1.1-3) unstable; urgency=medium

  * QA upload.
  * Switch to debhelper-compat (= 13).
  * Update URLs.
  * Fix copyright file formatting.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Dec 2023 15:55:04 +0100

smuxi (1.1-2) unstable; urgency=medium

  * QA upload.
  * Drop Vcs fields.
  * Set dh_auto_install destdir to override single package behaviour.

 -- Bastian Germann <bage@debian.org>  Sat, 09 Sep 2023 12:03:37 +0000

smuxi (1.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop useless meta package (Closes: #1051006).
  * Drop unnecessary vendor-specific patch series (Closes: #915916).

 -- Bastian Germann <bage@debian.org>  Tue, 05 Sep 2023 22:27:06 +0200

smuxi (1.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop smuxi-frontend-gnome (Closes: #967750, #962290).

 -- Bastian Germann <bage@debian.org>  Fri, 04 Aug 2023 21:42:26 +0200

smuxi (1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop notify and gtkspell (part of #967750)
  * Move cli-common-dev to Build-Depends (Closes: #1041644)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Bastian Germann <bage@debian.org>  Fri, 21 Jul 2023 18:06:31 +0200

smuxi (1.1-1) unstable; urgency=low

  * The "From Hong Kong with Love" upload

  * [5b8a3f7] New upstream version 1.1
              This release includes a workaround where a buggy Mono runtime
              version will not detect the presence of xdg-open correctly thus
              Smuxi then doesn't open any URL with a browser the user clicks.
              (Closes: #962042)
  * [b6c84de] debian/docs: match upstream's documentation files
  * [5ced702] debian/compat: bumped to 8, no changes needed
  * [836b97f] debian/control: add NUnit to build deps to fix build on Mono 6
  * [8fb8560] debian/rules: disable parallel builds

 -- Mirco Bauer <meebey@debian.org>  Sat, 13 Feb 2021 01:54:21 +0800

smuxi (1.0.7-5.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 17:52:49 +0100

smuxi (1.0.7-5) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use correct machine-readable copyright file URI.

  [ Victor Seva ]
  * add libmessagingmenu-cil-dev (See #895027)

 -- Victor Seva <vseva@debian.org>  Wed, 19 Dec 2018 09:41:29 +0100

smuxi (1.0.7-4) unstable; urgency=medium

  * remove all indicate build deps (Closes: #895027)
  * update Vcs-* due to migration to salsa

 -- Victor Seva <vseva@debian.org>  Thu, 23 Aug 2018 11:42:07 +0200

smuxi (1.0.7-3) unstable; urgency=medium

  * remove smuxi-frontend-stfl (Closes: #898764)

 -- Victor Seva <vseva@debian.org>  Thu, 24 May 2018 18:56:58 +0200

=== debian/control ===
Source: smuxi
Section: gnome
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cli-common-dev,
Build-Depends-Indep:
 autoconf,
 automake,
 autopoint,
 gettext,
 intltool,
 liblog4net-cil-dev,
 libnunit-cil-dev,
 libnini-cil-dev,
 lsb-release,
 mono-devel,
 mono-runtime-boehm,
 mono-xbuild,
 pkg-config,
 tzdata,
Rules-Requires-Root: no
Standards-Version: 3.9.8
Homepage: https://smuxi.im/

Package: smuxi-engine
Architecture: all
Replaces:
 smuxi-engine-irc (<< 0.8.10.2),
 smuxi-engine-twitter (<< 0.8.10.2),
 smuxi-engine-xmpp (<< 0.8.10.2),
 smuxi-frontend (<< 0.8.10.2),
 smuxi-server (<< 0.8.10.2),
Breaks:
 smuxi-engine-irc (<< 0.8.10.2),
 smuxi-engine-twitter (<< 0.8.10.2),
 smuxi-engine-xmpp (<< 0.8.10.2),
 smuxi-frontend (<< 0.8.10.2),
 smuxi-server (<< 0.8.10.2),
Suggests:
 oidentd | ident-server,
Depends:
 ${cli:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: Engine libraries for Smuxi (IRC, Twitter, XMPP, Campfire, JabbR)
 Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform IRC
 client for sophisticated users, targeting the GNOME desktop.
 .
 Smuxi is based on the client-server model: The core application (engine) can
 be placed onto a server which is connected to the Internet around-the-clock;
 one or more frontends then connect to the core. This way, the connection to
 IRC can be kept up even when all frontends have been closed. The combination
 of screen and irssi served as example for this architecture.
 .
 Smuxi also supports the regular single application mode. This behaves like a
 typical IRC client; it doesn't need separate core management and utilizes a
 local engine that is used by the local frontend client.
 .
 This package contains all Smuxi engines and the standalone server.
 .
 The standalone server of Smuxi named smuxi-server doesn't need any GUI. The
 Smuxi frontends can connect to a running server via the network.
 .
 The following Smuxi engines are included in this package:
  * IRC engine
  * Twitter engine
    - receive and post tweets to the Twitter microblogging service.
    - friends timeline, replies view, and direct messages.
  * XMPP engine
    - receive and send messages on XMPP, Jabber, GTalk and the Facebook chat.
  * Campfire engine
  * JabbR engine

=== debian/watch ===
version=4
https://smuxi.im/download .*=smuxi-([\d.~]+(?:~rc[\d])?)\.tar\.gz

## smuxi 1.2.1

=== debian/changelog ===
smuxi (1.2.1-2) unstable; urgency=medium

  * QA upload.
  * Drop unused B-D: libnunit-cil-dev.
  * Replace B-D: pkg-config with pkgconf.
  * Bump Standards-Version to 4.7.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 28 Aug 2024 22:21:10 +0500

smuxi (1.2.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control:
      - Added Vcs-* fields to source stanza.
      - Bumped Standards-Version to 4.6.2.
  * debian/copyright: updated packaging block.
  * debian/gbp.conf: changed debian-branch to debian/main.
  * debian/patches/build_jabber-net_with_default_compiler.patch: removed, was
    not being used.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/upstream/signing-key.asc: created with upstream signing key.
  * debian/watch:
      - Fixed download url.
      - Updated to verify downloads signatures.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Tue, 30 Jan 2024 15:40:33 -0300

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,18 @@
  gettext,
  intltool,
  liblog4net-cil-dev,
- libnunit-cil-dev,
  libnini-cil-dev,
  lsb-release,
  mono-devel,
  mono-runtime-boehm,
  mono-xbuild,
- pkg-config,
+ pkgconf,
  tzdata,
 Rules-Requires-Root: no
-Standards-Version: 3.9.8
+Standards-Version: 4.7.0
 Homepage: https://smuxi.im/
+Vcs-Browser: https://salsa.debian.org/debian/smuxi
+Vcs-Git: https://salsa.debian.org/debian/smuxi.git
 
 Package: smuxi-engine
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,17 +7,23 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--libdir=\$${prefix}/lib \
 		--with-vendor-package-version="Debian $(DEB_VERSION)" \
 		--enable-engine-campfire \
 		--enable-engine-irc \
 		--enable-engine-jabbr \
 		--enable-engine-xmpp \
-		--enable-frontend-gnome \
-		--enable-frontend-stfl \
-		--with-notify \
-		--with-gtkspell \
+		--disable-frontend-gnome \
+		--disable-frontend-stfl \
 		--with-db4o=included \
 		GMCS=/usr/bin/mono-csc MCS=/usr/bin/mono-csc
+
+override_dh_auto_build:
+	# upstream's build system is not parallel safe
+	$(MAKE)
+
+override_dh_auto_install:
+	dh_auto_install --destdir debian/tmp
 
 # disable "make check"
 override_dh_auto_test:
@@ -37,17 +43,12 @@
 		--exclude-moduleref=/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation \
 		--exclude-moduleref=/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
 
-override_dh_install:
-	dh_install
-	# optional included libs
-	-dh_install -p smuxi-frontend-gnome "usr/lib/smuxi/messagingmenu-sharp.dll*"
-	-dh_install -p smuxi-frontend-gnome "usr/lib/smuxi/gio-sharp.dll*"
-	# optional system libs
-	-install /usr/lib/gio-sharp/gio-sharp.dll* debian/smuxi-frontend-gnome/usr/lib/smuxi/
-
 override_dh_autoreconf:
 	ln -sf debian/autogen.sh
 	NOCONFIGURE=1 NOGIT=1 dh_autoreconf ./autogen.sh
 
+override_dh_missing:
+	dh_missing --list-missing
+
 %:
-	dh $@ --with autoreconf,cli
+	dh $@ --with autoreconf,cli --without single-binary

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://smuxi.im/jaws/data/files/smuxi-([\d.~]+(?:~rc[\d])?)\.tar\.gz
